        subroutine M12BAR
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'INPAR.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
        integer IBUFF(VARIEC),K,J,I
      do 140 K = 1, NCHEM
         do 130 J = 1, NPX
            do 100 I = 1, 32
               ALPHA(I,J,K) = 0.0
100         continue
            BIOLKL(J,K) = 0.0
            EXPOKL(J,K) = 0.0
            HYDRKL(J,K) = 0.0
            OXIDKL(J,K) = 0.0
            PHOTKL(J,K) = 0.0
            REDKL(J,K) = 0.0
            S1O2KL(J,K) = 0.0
            VOLKL(J,K) = 0.0
            do 110 I = 1, 7
               YSATL(I,J,K) = 0.0
110         continue
            do 120 I = 1, NPX
               INTINL(I,J,K) = 0.0D+00
120         continue
            TOTKL(J,K) = 0.0D+00
130      continue
140   continue
      do 150 J = 1, NPX
         BIOTOL(J) = 0.0
         SEDCOL(J) = 0.0
         SEDMSL(J) = 0.0
         WATVOL(J) = 0.0
150   continue
      do 160 J = 1, NPX
         do 160 K = 1, NCHEM
            do 160 I = 1, NCHEM
               YIELDL(I,K,J) = 0.0D+00
160   continue
      do 170 NDAT = 1, 12
         call UNPBAR (IBUFF)
170   continue
      do 220 K = 1, NCHEM
         do 210 J = 1, NPX
            do 180 I = 1, 32
               ALPHA(I,J,K) = ALPHA(I,J,K)/12.
180         continue
            BIOLKL(J,K) = BIOLKL(J,K)/12.
            EXPOKL(J,K) = EXPOKL(J,K)/12.
            HYDRKL(J,K) = HYDRKL(J,K)/12.
            OXIDKL(J,K) = OXIDKL(J,K)/12.
            PHOTKL(J,K) = PHOTKL(J,K)/12.
            REDKL(J,K) = REDKL(J,K)/12.
            S1O2KL(J,K) = S1O2KL(J,K)/12.
            VOLKL(J,K) = VOLKL(J,K)/12.
            do 190 I = 1, 7
               YSATL(I,J,K) = YSATL(I,J,K)/12.
190         continue
            do 200 I = 1, NPX
               INTINL(I,J,K) = INTINL(I,J,K)/12.
200         continue
            TOTKL(J,K) = TOTKL(J,K)/12.
210      continue
220   continue
      do 230 J = 1, NPX
         BIOTOL(J) = BIOTOL(J)/12.
         SEDCOL(J) = SEDCOL(J)/12.
         SEDMSL(J) = SEDMSL(J)/12.
         WATVOL(J) = WATVOL(J)/12.
230   continue
      do 240 J = 1, NPX
         do 240 K = 1, NCHEM
            do 240 I = 1, NCHEM
               YIELDL(I,K,J) = YIELDL(I,K,J)/12.
240   continue
      return
      end
